Name: TeXmacs
Version: 1.0.1
Release: alt1

Summary: A WYSIWYG (WYSIWYM) mathematical text editor
License: GPL
Group: Editors
URL: http://www.texmacs.org
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

Source: ftp://ftp.texmacs.org/pub/TeXmacs/targz/TeXmacs-%version-src.tar.gz

Requires: guile-devel, tetex

BuildRequires: guile-devel, XFree86-devel, tetex

%description
GNU TeXmacs is a free scientific text editor, which was both inspired
by TeX and GNU Emacs. The editor allows you to write structured documents
via a WYSIWYG (what-you-see-is-what-you-get or rather WYSIWIM what-you-see-
is-what-you-mean) and user friendly interface. New styles may be created 
by the user. The program implements high-quality typesetting algorithms and 
TeX fonts, which help you to produce professionally looking documents.

The high typesetting quality still goes through for automatically
generated formulas, which makes TeXmacs suitable as an interface
for computer algebra systems. TeXmacs also supports the Guile/Scheme
extension language, so that you may customize the interface and
write your own extensions to the editor.

In the future, TeXmacs is planned to evoluate towards
a complete scientific office suite, with spreadsheet capacities,
a technical drawing editor and a presentation mode.

%prep
%setup -q -nTeXmacs-%version-src

%build
#CC=kgcc CXX=compat-g++  CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --libexecdir=%_libexecdir --mandir=%_mandir
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --libexecdir=%_libexecdir --mandir=%_mandir
make CXXFLAGS="$RPM_OPT_FLAGS"

%install
%define _findreq_default_method lib

make DESTDIR=%buildroot install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
cp -r -f $GUILE_LOAD_PATH %buildroot%_datadir/TeXmacs-%version/progs
chmod -f 644 %buildroot%_datadir/TeXmacs-%version/progs/ice-9/*
chmod -f 755 %buildroot%_datadir/TeXmacs-%version/progs/ice-9
mkdir -p %buildroot/etc/X11/applnk/Applications
mkdir -p %buildroot/usr/share/application-registry
mkdir -p %buildroot/usr/share/mime-info
mkdir -p %buildroot/usr/share/pixmaps
cp -f %buildroot%_datadir/TeXmacs-%version/misc/mime/texmacs.desktop %buildroot/etc/X11/applnk/Applications
cp -f %buildroot%_datadir/TeXmacs-%version/misc/mime/texmacs.applications %buildroot/usr/share/application-registry
cp %buildroot%_datadir/TeXmacs-%version/misc/mime/texmacs.keys %buildroot/usr/share/mime-info
cp %buildroot%_datadir/TeXmacs-%version/misc/mime/texmacs.mime %buildroot/usr/share/mime-info
cp %buildroot%_datadir/TeXmacs-%version/misc/pixmaps/TeXmacs.xpm %buildroot/usr/share/pixmaps

%files
%_bindir/texmacs
%_bindir/fig2ps
%_includedir/TeXmacs.h
%_mandir/man1/texmacs.1*
%_mandir/man1/fig2ps.1*
%_datadir/TeXmacs-%version
%_libexecdir/TeXmacs-%version
/etc/X11/applnk/Applications/texmacs.desktop
/usr/share/application-registry/texmacs.applications
/usr/share/mime-info/texmacs.keys
/usr/share/mime-info/texmacs.mime
/usr/share/pixmaps/TeXmacs.xpm

%changelog
* Fri Jan 03 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1.0.1-alt1
- TeXmacs 1.0.1 

* Wed Oct 23 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1.0.0.19-alt1
- Spec cleanup
- Build with gcc 3.2

* Sat Aug 17 2002 ZW <vvzhy@mail.ru>
- Russian transliteration is removed since it
  practically useless and even confusing in
  Russian language environment (BTS #0000927)

* Sat Jul 20 2002 ZW <vvzhy@mail.ru>
- Now TeXmacs works well with new Maxima 5.9.0.
  Default lisp can be chosen via TEXMACS_MAXIMA_LISP
  environment variable.  Available options are
  gcl or clisp (cmucl doesn't work well yet).

* Wed Mar 27 2002 ZW <vvzhy@mail.ru>
- fixed spurious automatic dependence on maxima

* Wed Mar 20 2002 ZW <vvzhy@mail.ru>
- TeXmacs 1.0
- it seems that we no longer need compat-gcc

* Wed Mar 21 2001 AEN <aen@logic.ru>
- guile-devel in requires

* Tue Jan 30 2001 AEN <aen@logic.ru>
- jcuken keyboard by default

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation
- build w/o cyrillic patch
* Thu Jan 09 2001 AEN <aen@loigc.ru>
- first build for RE
- cyrillic patch

